# -------------------------------------------------------------
# Beispiel 4.5
# Die Unterschlssel eines Schlssels auflisten
# -------------------------------------------------------------

function Get-SubKeys
([String]$Key)
{
    $Level++
    Write-Debug "Betrete $Level mit Key $Key"
    $Script:AnzahlKeysGesamt++
    $SubKeys = Get-ChildItem -LiteralPath "Registry::$Key" -ErrorAction SilentlyContinue | Select-Object Name
    if (!$?)
    {  Write-Host -fore red "Fehler beim Zugriff auf $Key"  }
    else
    {
     if ($SubKeys -ne $null)
     {
      Write-Host "Der Key $Key enthlt $($SubKeys.Count) Subkeys"
      $SubKeys | Foreach {
       if ($_.Name -notlike "*\Classes*")
       { Get-SubKeys -Key $_.Name }
      }
    }
  }
  $Level--
  Write-Debug "Verlasse $Level"
}
