# -------------------------------------------------------------
# Beispiel 4.6
# Unterschlssel eines Schlssels auflisten
# -------------------------------------------------------------

function Get-SubKeys2
([String]$KeyPfad)
{
    $Level++
    Write-Debug "Betrete Level - $Level mit Key $Key"
    $Script:AnzahlKeysGesamt++
    try
    {
     $Key = [Microsoft.Win32.Registry]::LocalMachine.OpenSubKey($KeyPfad)
     $SubKeys = $Key.GetSubKeyNames()
     if ($SubKeys.Length -gt 0)
     {
       Write-Debug "Der Key $KeyPfad enthält $($SubKeys.Length) Subkeys"
       Foreach ($K In $SubKeys)
       {
        if ($K -ne "Classes")
        { Get-SubKeys2 -KeyPfad "$KeyPfad\$K" }
       }
     }
     $Key.Close()
     $Level--
     Write-Debug "Verlasse Level - $Level"
    }
    catch
    { "Fehler beim Zugriff auf Schlssel $KeyPfad" }
}
$DebugPreference = "SilentlyContinue"
$Level = 0
$AnzahlKeysGesamt = 0
$StartKey = "Software"
Get-SubKeys2 $StartKey
Write-host -fore green "$AnzahlKeysGesamt Keys gefunden."
