# -------------------------------------------------------------
# Beispiel 4.9
# Lokaler Dienst-Konto Berechtigungen fr einen Registry-Key erteilen
# -------------------------------------------------------------
# Schlssel muss existieren
# -------------------------------------------------------------

try
{
  $RegKey = "HKCU:\Software\PSCrashkurs"
  $RegACL = Get-ACL -Path $RegKey
  $InheritModus = [System.Security.AccessControl.InheritanceFlags]"ContainerInherit,ObjectInherit"
  $PropagationModus = [System.Security.AccessControl.PropagationFlags]"None"
  $AcRule = New-Object -Type System.Security.AccessControl.RegistryAccessRule "Lokaler Dienst","FullControl", ` $InheritModus, $PropagationModus, "Allow"
  $RegACL.AddAccessRule($AcRule)
  $RegACL | Set-ACL
  "Berechtigung wurde gesetzt."
}
catch
{
 "Berechtigung konnte nicht gesetzt werden ($_)."
}
