# -------------------------------------------------------------
# Beispiel 6.2
# E-Mail-Adressen aus einer Webseite herausfischen
# --------------------------------------------------------------
$Url = "http://www.activetraining.de/ActiveTraining/ActiveTrainingDefault.aspx"
$WC = New-Object -Type System.Net.Webclient
$Html = $WC.DownloadString($Url)
$RegMuster = "(?<EMail>([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3}))"
$EMailMatches = [Regex]::Matches($Html, $RegMuster)
"Anzahl Treffer: $($EMailMatches.Count)"
"Gefundende E-Mail-Adressen:"
$EMailMatches | Foreach-Object { $_.Groups["EMail"].Value }

