﻿# -------------------------------------------------------------
# Beispiel 7.11
# switch-Befehl mit regulären Ausdrücken
# -------------------------------------------------------------
# Allgemeines Muster:
# PsLogs_1410_2009.log
# -------------------------------------------------------------
$Monatslogs = New-Object -Type 'Byte[]' 12
Get-Childitem -Path Logs\*.log | foreach-object {
 switch -regex ($_.Name)
 {
  "PsLogs_[0-9]{2}01_200[0-9]\.log" { $MonatsLogs[0]++}
  "PsLogs_[0-9]{2}02_200[0-9]\.log" { $MonatsLogs[1]++}
  "PsLogs_[0-9]{2}03_200[0-9]\.log" { $MonatsLogs[2]++}
  "PsLogs_[0-9]{2}06_200[0-9]\.log" { $MonatsLogs[5]++}
  "PsLogs_[0-9]{2}09_200[0-9]\.log" { $MonatsLogs[8]++}
  "PsLogs_[0-9]{2}10_200[0-9]\.log" { $MonatsLogs[9]++}
 }
}
for ($i=0;$i-le$Monatslogs.Length-1;$i++)
{
  Write-Host "Anzahl Logs im Monat $(`"{0:MMMM}: {1}`" -f (Get-Date 1.$($i+1).2000),$MonatsLogs[$i])"
}
