# -------------------------------------------------------------
# Beispiel 8.12
# Beispiel fr das Abfangen bestimmter Exception-Typen
# -------------------------------------------------------------
try
{
    $Dir = Get-ChildItem -Path C:\ACLSicher -Ea Stop
    $Dir
}
catch [System.Management.Automation.ActionPreferenceStopException]
{
    switch ($_.Exception.GetType().Name)
    {
        "UnauthorizedAccessException" { Write-Host -Fore White -Back Red "Keine Berechtigung." }
        "ItemNotFoundException" { Write-Host -Fore Blue -Back Yellow "Datei/Verzeichnis nicht gefunden." }
    }
}
catch
{
    Write-Host -Fore Red "Allgemeiner Fehler ($($Error[0]) - Typ: $($Error[0].Exception.GetType().Name))."
    continue
}
