# -------------------------------------------------------------
# Beispiel 9.3
# Auflisten der lokalen Hotfixes - Variante 2
# -------------------------------------------------------------
try
{
  $WmiInstanzen = Get-WmiObject -Class "Win32_QuickfixEngineering"
  $AnzahlInstanzen = $WmiInstanzen.Count
  $HotfixListe = @()
  foreach ($WmiInstanz in $WmiInstanzen)
  {
    $Hotfix = New-Object -Type PSObject
    $Hotfix | Add-Member -Membertype NoteProperty -Name Computer -Value $WmiInstanz.CsName
    $Hotfix | Add-Member -Membertype NoteProperty -Name HotfixID -Value $WmiInstanz.HotfixID
    $Hotfix | Add-Member -Membertype NoteProperty -Name Beschreibung -Value $WmiInstanz.Description
    $HotfixListe += $Hotfix
  }
  $HotfixListe
}
catch
{
  Write-Host -Fore White -Back Red "Fehler bei der WMI-Abfrage."
}
