# -------------------------------------------------------------
# Beispiel 9.5
# Gerte auflisten, die einen bestimmten Interrupt benutzen
# -------------------------------------------------------------
$IRQDateilistePfad = "IRQListe.txt"
Set-Content -Path $IRQDateilistePfad -Value (New-Object String "=",48)
for ($IRQNr=1;$IrqNr-le16;$IrqNr++)
{
    "Prfe Interrupt: $IRQNr"
    try
    {
      $IRQ = [WMI]"Win32_IRQResource.IRQNumber=$IRQNr"
      $PnpGeraete = Get-WmiObject -Query "Associators Of {Win32_IRQResource.IRQNumber='$($IRQ.IRQNumber)'} Where ResultClass=Win32_PnpEntity"
      Add-Content -Path $IRQDateilistePfad -Value "Interrupt Nr. :  $($IRQ.IrqNumber)"
      Add-Content -Path $IRQDateilistePfad -Value (New-Object String "=",48)
      if ($PnpGeraete.Count -eq 0)
      {
        Add-Content -Path $IRQDateilistePfad -Value "Keine Gerte fr diesen Interrupt"
      }
      else
      {
        foreach($PnpGeraet In $PnpGeraete)
        {
          Add-Content -Path $IRQDateilistePfad -Value "Gertename     :  $($PnpGeraet.Name)"
          Add-Content -Path $IRQDateilistePfad -Value (New-Object String "=",48)
          Add-Content -Path $IRQDateilistePfad -Value ""
        }
      }
     }
     catch
     {
        Add-Content -Path $IRQDateilistePfad -Value "Keine Gerte fr Interrupt Nr. $IRQNr"
        Add-Content -Path $IRQDateilistePfad -Value (New-Object String "=",48)
        Add-Content -Path $IRQDateilistePfad -Value ""
     }
}
Invoke-Item -Path $IRQDateilistePfad
