# -------------------------------------------------------------
# Beispiel 10.10
# Einen AD-Benutzer verschieben
# -------------------------------------------------------------

function Move-ADUser
([string]$UserPfad,
 [string]$ZielPfad)
{
  try
  {
    $ADUser = [ADSI]"LDAP://$UserPfad"
    $ADUser.MoveTo("LDAP://$ZielPfad")
    "Benutzer wurde verschoben."
  }
  catch
  {
   Write-Host -Fore White -Back Red "Benutzer konnte nicht verschoben werden. ($_)"
  }
}

Move-ADUser -UserPfad "CN=Bert, CN=Users, DC=Pemobooks, DC=local" -ZielPfad "OU=TestOU, DC=Pemobooks, DC=local"
