﻿# -------------------------------------------------------------
# Beispiel 10.14
# Suche in einem AD über [ADSISearcher] und Ergebnis weiterverarbeiten
# -------------------------------------------------------------
# LDAP-Pfad muss angepasst werden
# -------------------------------------------------------------
$AD = [ADSI]"LDAP://CN=Users,DC=pemobooks, DC=local"
$SuchFilter = "(&(objectClass=user)(name=E*))"
# Der Type Accelerator muss mit dem LDAP-Filter initialisiert werden
$ADS = [ADSISearcher]$SuchFilter
$ADS.SearchRoot = $AD
$ADS.SizeLimit = 10
$SearchRes = $ADS.FindAll()
"$($SearchRes.Count) Elemente gefunden."
$ADUserListe = @()
foreach($Sr in $SearchRes)
{
  $ADUser = New-Object -Type PsObject
  $ADUser | Add-Member -MemberType NoteProperty -Name Name -Value $Sr.properties.name[0]
  $ADUser | Add-Member -MemberType NoteProperty -Name Beschreibung -Value $Sr.properties.description[0]
  $ADUser | Add-Member -MemberType NoteProperty -Name ErstelltAm -Value $Sr.properties.whencreated[0]
  $ADUserListe += $ADUser
}

$ADUserListe

