﻿# -------------------------------------------------------------
# Beispiel 10.15
# Suche in einem AD durch rekursives Durchlaufen der Container
# -------------------------------------------------------------

function Get-ADUsers
([System.DirectoryServices.DirectoryEntry]$Container)
{
 foreach ($en In $Container.children)
 {
   if ($en.objectClass -eq "user")
   {
    $Script:AnzahlContainerGesamt++
    $Script:AnzahlContainer++
    write-progress -status "$AnzahlContainerGesamt Container durchsucht" -Activity "Suche läuft..." -PercentComplete $AnzahlContainer
    if ($AnzahlContainer -eq 100) { $Script:AnzahlContainer = 0 }
    Write-host "Benutzer: $($en.name) in Container $($Container.name)"
   }
 }
 # Jetzt die Container durchgehen
 foreach ($en In $Container.children)
 {
   if ($en.objectClass -eq "organizationalUnit")
   {
     Write-host "OU: $($en.name) - Anzahl Elemente: $(@($en.children).length)"
     Get-ADUsers $en
   }
 }
}
