﻿# -------------------------------------------------------------
# Beispiel 10.29
# Suchen nach allen GPOs der Ous einer Domäne
# -------------------------------------------------------------
$DomName = "DC=Pemobooks,DC=local"
$ADS = [ADSISearcher]"(|(objectClass=OrganizationalUnit)(objectClass=Domain))"
# Nach OU oder Domäne suchen
$ADSRes = $ADS.FindAll()
$ADSRes | Foreach-Object {
   $DN = $_.Properties.distinguishedname[0]
   $GPLinks = Get-Sdmgplink -Scope $Dn
   if ($GPLinks.Count -gt 0)
   {
      Write-Host -Fore green "GPO-Links für die OU $DN"
      $GPLinks | Foreach-Object {
       Write-Host "Name: $($_.Name) Enabled: $($_.Enabled)"
     }
   }
}



