# -------------------------------------------------------------
# Beispiel 12.6
# Ini-Dateien lesen
# -------------------------------------------------------------

Function Get-IniEintrag
(
  [string]$IniDateipfad,
  [string]$Sektion,
  [string]$Eintrag)
{
  # Erst Eintrag suchen
  $R = [RegEx]"^$Eintrag=(?<Value>.+$)"
  $Zeilen = Get-Content -Path $IniDateiPfad
  $i=0
  while ($i-lt$Zeilen.Length)
  { 
    $Zeile = $Zeilen[$i]
    if ($Zeile -match "\[$Sektion\]")
    {
     do
     {
      $i++
      $Res = $R.Match($Zeilen[$i])
      if ($Res.Success)
      {
       return $($Res.Groups['Value'].Value)
      }
    }
    until (($Zeilen[$i] -match "\[\w+\]") -or ($i -eq $Zeilen.Length))
  }
  $i++
  }
}
