# -------------------------------------------------------------
# Beispiel 15.1
# Registrieren eines PowerShell-Snapins
# -------------------------------------------------------------
function Install-PSSnapin
([string]$DllPfad=$(throw "Bitte DLL-Pfad eingeben"),
 [string]$SnapinName)
{
    Set-Alias Installutil $env:windir\Microsoft.NET\Framework\v2.0.50727\installutil.exe
    if(Test-Path -path $DllPfad)
    {
        installutil /u $DllPfad
        installutil $DllPfad
        Write-Host -Fore Green "Snapin wurde installiert."
        if ($SnapinName -ne "")
        { 
          Add-Pssnapin $SnapinName 
          Write-Host -Fore Green "... und hinzugefügt."
        }
    }
    else
    { 
      Write-Error -Fore White -Back Red "Die Datei $DllPfad gibt es nicht."
    }
} 

Install-PSSnapin -DllPfad C:\Users\Pemo08\GetTimeSnapin.dll
