# -------------------------------------------------------------
# Beispiel 16.7  Zhlen von Cmdlet-Parametern ohne Dubletten
# -------------------------------------------------------------
# Diese Variante zhlt keine Dubletten bei mehreren Parametersets
function Get-CmdParasV2
($Parameter = "InputObject")
{
 $Anzahl = 0
 Get-Command -commandtype Cmdlet | Foreach-Object {
  $Paras= $_.Parametersets  | Select-Object -exp Parameters
  foreach($P in $Paras) { 
   if ($P.Name -like $Parameter) { $Anzahl++ ;break} } }
 Write-Host -fore green "$Anzahl Cmdlets mit einem $Parameter-Parameter"
}
