# -------------------------------------------------------------
# Beispiel 4.7
# Registry-Schlssel-Berechtigung hinzufgen
# -------------------------------------------------------------
# Schlssel und Benutzer mssen existieren
# -------------------------------------------------------------

# Wichtig: Schlssel muss existieren
$Key = "HKCU:\Software\PsCrashkurs"
$ACL = Get-ACL -Path $Key
# Wichtig: Benutzer muss existieren
$RegPerm = "PSServer\Administrator", "ReadKey", "None", "None", "Allow"
$NewACLRule = New-Object -Type System.Security.AccessControl.RegistryAccessRule $RegPerm
$ACL.SetAccessRule($NewACLRule)
Set-Acl -Path $Key -ACLObject $ACL -ErrorAction SilentlyContinue
if ($?)
{ Write-Host -fore green "Berechtigungen wurde aktualisiert." }
else
{ Write-Host -fore red "Berechtigungen konnten nicht gesetzt werden." }
