# -------------------------------------------------------------
# Beispiel 4.8
# Registry-Key-Berechtigung wieder entfernen
# -------------------------------------------------------------
# Schlssel und Benutzer mssen existieren
# -------------------------------------------------------------

$Key = "HKCU:\Software\PSCrashKurs"
$ACL = Get-ACL -Path $Key
$RegPerm = "PSServer\Administrator","ReadKey","None", "None", "Allow"
$ACLRule = New-Object -Type System.Security.AccessControl.RegistryAccessRule $RegPerm
$ACL.RemoveAccessRule($ACLRule)
Set-Acl -Path $Key -ACLObject $ACL -ErrorAction SilentlyContinue
if ($?)
{ Write-Host -fore green "Berechtigungen wurde aktualisiert." }
else
{ Write-Host -fore red "Berechtigungen konnten nicht gesetzt werden." }
