# -------------------------------------------------------------
# Beispiel 4.10
# Remote-Zugriff auf die Registry
# -------------------------------------------------------------
# Servername muss angepasst werden
# -------------------------------------------------------------

$RegPfad = "Software\Microsoft\Windows NT\CurrentVersion"
$Server = "<Servername>"
$HKey = [Microsoft.Win32.RegistryHive]::LocalMachine
$RemoteKey = [Microsoft.Win32.RegistryKey]::OpenRemoteBaseKey($HKey,$Server)
$SubKey = $RemoteKey.OpenSubKey($RegPfad)
Write-Host "Die Einträge von $RegPfad:"
foreach($ValName In $SubKey.GetValueNames())
{
  $ValTyp = $SubKey.GetValueKind($ValName)
  Switch ($ValTyp)
  {
    "string" {  Write-Host "--> $ValName ($($SubKey.GetValue($ValName)))" }
     default {  Write-Host "--> $ValName (Typ: $ValTyp)" }
  }
}
