﻿# -------------------------------------------------------------
# Beispiel 5.4
# Ein einfaches Beispiel für Set-Acl
# -------------------------------------------------------------
# Benutzername anpassen
# -------------------------------------------------------------

$Pfad = $env:userprofile+"\ACLTest"
$ACL = Get-Acl $Pfad
$Perm = "PServer\Administrator","Read","Allow"
$NewRule = New-Object System.Security.AccessControl.FileSystemAccessRule $Perm
$ACL.SetAccessRule($NewRule)
Set-Acl -Path $Pfad -ACLObject $ACL -ErrorAction SilentlyContinue
if ($?)
{ write-host -fore green "Berechtigungen wurde aktualisiert." }
else
{ write-host -fore red "Berechtigungen konnten nicht gesetzt werden." }
