﻿# -------------------------------------------------------------
# Beispiel 7.1
# Anlegen einer Aufgabe
# -------------------------------------------------------------
function Create-ScheduledTask
([string]$ComputerName = "localhost",
 [string]$RunAsUser = "System",
 [string]$TaskName = "TestTask",
 [string]$Schedule = "Daily",
 [string]$Days = "SO",
 [string]$StartTime = "13:40",
 [string]$Task)
{
  $CmdLine  = "schtasks.exe /create /s $ComputerName /ru $RunAsUser "
  $CmdLine += "/tn $TaskName /tr $Task /sc $Schedule /st $StartTime /F"
  Invoke-Expression $CmdLine
  if ($LastExitCode -eq 0)
  { Write-Host -fore green "Task wurde angelegt." }
  else
  { Write-Host -Fore White –Back red "Fehler ($LastExitCode) beim Anlegen des neuen Tasks" }
}
