# -------------------------------------------------------------
# Beispiel 7.3
# Entfernen einer Aufgabe
# -------------------------------------------------------------
function Remove-ScheduledTask
(
  [string]$ComputerName = "localhost",
  [string]$TaskName = "TestTask"
)
{
  if ((Get-ScheduledTask) -match $TaskName)
  { 
    if ((Read-Host -Prompt "Task '$Taskname' auf Computer $ComputerName entfernen (j/n)") -eq "j")
    {
     $CmdLine = "Schtasks.exe /delete /s $ComputerName /tn $TaskName /F"
     Invoke-Expression $CmdLine
     if ($LastExitCode -eq 0)
     { Write-Host -Fore green "Task wurde entfernt." }
     else
     { Write-Host -Fore red "Fehler ($LastExitCode) beim Entfernen des neuen Tasks" }
   }
  }
  else
  { Write-Host -fore Red "Der Task $TaskName existiert auf $ComputerName nicht." }
}


