﻿# -------------------------------------------------------------
# Beispiel 7.10
# Uhrzeitabhängige Begrüßung mit den switch-Befehl
# -------------------------------------------------------------
switch ((get-date).Hour)
{
  { $_ -ge 5 -and $_ -lt 11 } { $Greet = "Guten Morgen"}
  { $_ -ge 11 -and $_ -lt 17 } { $Greet = "Guten Tag" }
  { $_ -ge 17 -and $_ -lt 23 } { $Greet = "Guten Abend" }
  default { $Greet = "Gute Nacht" }
}
Write-Host -fore green "$Greet - es ist jetzt $(Get-Date -format `"HH:mm`")"

