# -------------------------------------------------------------
# Beispiel 7.23 - Die Funktion findet groe Dateien
# -------------------------------------------------------------
function Get-BigFiles
($StartDir="C:\",
 $MinSize=10MB)
{
    Get-ChildItem -Path $StartDir\*.* -ErrorAction SilentlyContinue -Recurse | Where-Object { `
     $_.Length -gt $MinSize }
}

Get-BigFiles -StartDir $Env:UserProfile -MinSize 5MB