# -------------------------------------------------------------
# Beispiel 7.24
# Funktion mit Break-Befehl vorzeitig beenden
# -------------------------------------------------------------

Function Get-SumFilesC
($Extension = "*.ps1",
  $Limit = 100KB)
{
  $Summe = 0
  Get-Childitem -Path . -Filter $Extension | Foreach-Object {
   $Summe += $_.Length 
   if ($Summe -gt $Limit) { break} 
  }
  "($($MyInvocation.MyCommand.Name)) Gre aller Dateien mit der Erweiterung $Extension`: {0:n0} Bytes" -f $Summe
}

Get-SumFilesC -Limit 25KB -Extension *.ps1
