# -------------------------------------------------------------
# Beispiel 8.4
# Skript mit Pflichtparameter dank Parameterattribut
# -------------------------------------------------------------
Param
(
  [parameter(Mandatory=$true, ValueFromPipeline=$true)]
  [string]$ServerName
)
$Cred = Get-Credential Administrator
$Benutzername = $Cred.GetNetworkCredential().UserName
$Kennwort = $Cred.GetNetworkCredential().Password
$Dc = New-Object -Type System.DirectoryServices.ActiveDirectory.DirectoryContext `
         "DirectoryServer", $ServerName, $Benutzername, $Kennwort
try
{
  $Dom = [System.DirectoryServices.ActiveDirectory.Domain]::GetDomain($Dc)
}
catch
{
   Write-Host -fore white -back red "Zugriff auf Domne nicht mglich" 
}
