# -------------------------------------------------------------
# Beispiel 8.6
# Beispiel fr das CmdletBinding-Attribut
# -------------------------------------------------------------
function Demo-ParameterbindingAttribut
{
  [CmdletBinding(SupportsShouldProcess=$true)]
  Param ([string]$DestinationPath)
  if (!(Test-Path $DestinationPath))
  { New-Item -Path $DestinationPath -ItemType Directory | Out-Null }
  Get-Childitem -Path *.ps1 | Where-Object { (Get-Content -Path $_ -TotalCount 1) -Notlike "#*" } `
   | Move-Item -Destination $DestinationPath
}

Demo-ParameterbindingAttribut -DestinationPath C:\Pskurs\NoCommentScripts -Whatif
