# -------------------------------------------------------------
# Beispiel 9.2
# Auflisten der lokalen Hotfixes - Variante 1
# -------------------------------------------------------------
try
{
  $WmiInstanzen = Get-WmiObject -Class "Win32_QuickfixEngineering"
  $AnzahlInstanzen = $WmiInstanzen.Count
  foreach ($WmiInstanz in $WmiInstanzen)
  {
    Write-Host "Computer:     " $WmiInstanz.CsName
    Write-Host "Beschreibung: " $WmiInstanz.Description
    Write-Host "Hotfix-ID:    " $WmiInstanz.HotfixID
    Write-Host
  }
}
catch
{
  Write-Host -Fore White -Back Red "Fehler bei der WMI-Abfrage."
}

