' -------------------------------------------------------------
' Beispiel 9.4
' Gerte auflisten, die einen bestimmten Interrupt benutzen
' -------------------------------------------------------------
Option Explicit
Dim Wmi, CompName, WMI_Instanzen, IRQ, IRQNr, PnpGeraete, PnpGeraet
Dim Fso, Ts, IRQDateilistePfad, Shell
CompName = "."
IRQDateilistePfad = "IRQListe.txt"
Set Fso = WScript.CreateObject("Scripting.FileSystemObject")
Set Ts = Fso.CreateTextFile(IRQDateilistePfad)
Set Wmi = GetObject("Winmgmts://" & CompName & "/root/cimv2")
Set Wmi_Instanzen = Wmi.InstancesOf("Win32_IRQResource")
Ts.WriteLine(String(48,"="))
For IRQNr = 1 To 16
    On Error Resume Next
    WScript.Echo("Prfe Interrupt: " & IRQNr)
    Set IRQ = Wmi.Get("Win32_IRQResource.IRQNumber=" & IRQNr)
    If Err.Number = 0 Then
      Set PnpGeraete = Wmi.ExecQuery("Associators of {Win32_IRQResource.IRQNumber='" & IRQ.IRQNumber & "'} Where ResultClass=Win32_PnpEntity")
        Ts.WriteLine("Interrupt Nr. :  " & IRQ.IrqNumber)
        Ts.WriteLine(String(48,"="))
        If PnpGeraete.Count = 0 Then
           Ts.WriteLine("Keine Gerte fr diesen Interrupt")
        Else
           For Each PnpGeraet In PnpGeraete
               Ts.WriteLine("Gertename     : " & PnpGeraet.Name)
               Ts.WriteLine(String(48,"="))
               Ts.WriteLine()
          Next
        End If
    Else
        Ts.WriteLine("Keine Gerte fr Interrupt Nr. " & IRQNr)
        Ts.WriteLine(String(48,"="))
        Ts.WriteLine()
    End If
Next
Ts.Close()
Set Shell = WScript.CreateObject("WScript.Shell")
Shell.Run IRQDateilistePfad, 1
