﻿# -------------------------------------------------------------
# Beispiel 10.3
# AD-User über eine Funktion anlegen
# -------------------------------------------------------------

function New-pADUser
([string]$ADUserName,
 [string]$ADPfad,
 [string]$Description,
 [switch]$EnableAccount,
 $UserDetails
)
{
    $ADContainer = [ADSI]"LDAP://$ADPfad"
  try
  {
   $ADUser = $ADContainer.Create("user","CN=$ADUsername")
   $ADUser.psbase.CommitChanges()
  }
  catch
  { 
    Write-Error "Benutzer konnte nicht angelegt werden."
    break
  }
  $ADUser.SAMAccountName = $ADUserName
  $ADUser.UserPrincipalName = $ADUserName
  $ADuser.Description = $Description
  $ADUser.psbase.CommitChanges()
  # Benutzerkonto aktivieren?
  if ($EnableAccount)
  { $ADUser.psbase.InvokeSet("AccountDisabled", $false) }
  # Jetzt die übrigen User-Details anlegen
  foreach ($hkey in $UserDetails.Keys)
  {
     $ADUser.$hkey = $UserDetails[$hkey]
  }
  $ADUser.psbase.CommitChanges()
  if ($?)
  { "User $ADUserName wurde angelegt." }
  else
  { "User $ADUserName konnte nicht angelegt werden." }
}
