﻿# -------------------------------------------------------------
# Beispiel 10.4
# Kennwort für AD-Benutzer setzen
# -------------------------------------------------------------
function Set-pADUserPassword
([string]$ADUserpfad,
 [string]$Pw)
{
  $ADUser = [ADSI]"LDAP://CN=$ADUserPfad"
  try
  {
    $ADUser.SetPassword($Pw)
    $ADUser.psbase.CommitChanges()
    "Kennwort wurde gesetzt."
  }
  catch
  {
    Write-Host -Fore White -Back Red "Kennwort konnte nicht gesetzt werden. ($_)"
  }
}

Set-pADUserPassword -ADUserPfad "CN=Bert,CN=Users,DC=PemoBooks,DC=local" -Pw "Geheim!"
