# -------------------------------------------------------------
# Beispiel 10.5
# AD-Benutzer entfernen
# -------------------------------------------------------------
function Remove-pADUser
([string]$ADUserName,
 [string]$ADContainerPfad
)
{
  $ADContainer = [ADSI]"LDAP://$ADContainerPfad"
  $ADUser = [ADSI]"LDAP://CN=$ADUserName,$ADContainerPfad"
  try
  {
   $ADContainer.psbase.Children.Remove($ADUser)
   "User $ADUserName wurde entfernt."
  }
  catch
  {
    Write-Host -Fore White -Back Red "Benutzer konnte nicht entfernt werden. ($_)"
  }
}

Remove-pADUser -ADUserName Bert -ADContainerPfad "CN=Users,DC=Pemobooks,DC=local"
