# -------------------------------------------------------------
# Beispiel 10.6
# AD-Benutzer umbenennen
# -------------------------------------------------------------

function Rename-pADUser
([string]$ADUserPfad,
 [string]$NeuerName
)
{
  $ADUser = [ADSI]"LDAP://$ADUserPfad"
try
  {
    $ADUser.psbase.Rename("CN=$NeuerName")
    "User wurde umbenannt."
  }
  catch
  {
    Write-Host -Fore White -Back Red "Benutzer konnte nicht umbenannt werden. ($_)"
  }
}

Rename-pADUser -ADUserPfad "CN=Bert,CN=Users,DC=Pemobooks,DC=local" -NeuerName "Bert B."
