﻿# -------------------------------------------------------------
# Beispiel 10.8
# Einen AD-Benutzer zu einer Gruppe hinzufügen
# -------------------------------------------------------------

function Add-pADGroupMember
([string]$GroupPfad,
 [string]$UserPfad
)
{
  try
  {
     $ADGroup = [ADSI]"LDAP://$GroupPfad"
    $ADUser = [ADSI]"LDAP://$UserPfad"
    $ADGroup.Member += $ADUser.DistinguishedName
    $ADGroup.psbase.CommitChanges()
    "Member wurde zur Gruppe hinzugefügt."
  }
  catch
  { 
    Write-Host -Fore White -Back Red "Member konnte nicht zur Gruppe hinzugefügt werden. ($_)"
  }
}

Add-pADGroupMember -GroupPfad "CN=Autorengruppe, CN=Users, DC=Pemobooks, DC=de" -UserPfad "CN=Bert, CN=Users, DC=Pemobooks,DC=local"
