# -------------------------------------------------------------
# Beispiel 10.9
# Einen AD-Benutzer aus einer Gruppe entfernen
# -------------------------------------------------------------

function Remove-pADGroupMember
([string]$GroupPfad,
 [string]$UserPfad
)
{
  try
  {
   $ADGroup = [ADSI]"LDAP://$GroupPfad"
  }
  catch
  { 
    Write-Host -Fore White -Back Red "Gruppe konnte nicht gelesen werden. ($_)"
    break
  }
  try
  {
    $ADGroup.Remove("LDAP://$UserPfad")
    "Benutzer wurde aus der Gruppe entfernt."
  }
  catch
  {
    Write-Host -Fore White -Back Red "Benutzer konnte nicht aus der Gruppe entfernt werden. ($_)"
  }
}

Remove-pADGroupMember -UserPfad "CN=Bert, CN=Users, DC=PemoBooks, DC=de" -GroupPfad "CN=Autorengruppe, CN=Users, DC=Pemobooks, DC=local"
