# -------------------------------------------------------------
# Beispiel 10.17
# Suche nach anderen Properties
# -------------------------------------------------------------
$ADS = New-Object -Type System.DirectoryServices.DirectorySearcher
$ADS.Filter = "(&(objectClass=user)(objectCategory=person)(name=B*))"
$ADS.PropertiesToLoad.AddRange(@("name","canonicalname"))
$Result = $ADS.FindAll()
$Result | Foreach-Object {
  "Name: $($_.Properties.name) - Canonical Name: $($_.Properties.canonicalname)"
}
