﻿# -------------------------------------------------------------
# Beispiel 10.20 - DirectoryContext holen
# -------------------------------------------------------------
function Get-DCContext
([string]$Servername=$(throw "Bitte Servername angegeben..."),
 [string]$Benutzername,
 [System.Security.SecureString]$Kennwort)
{
  $KennwortPlain = SecureStringTo-PlainText -SecureString $Kennwort
  $Dc = New-Object -Type System.DirectoryServices.ActiveDirectory.DirectoryContext `
   "DirectoryServer", $ServerName, $Benutzername, $KennwortPlain
  return $Dc
}
