# -------------------------------------------------------------
# Beispiel 10.30
# Lokales Benutzerkonto anlegen
# -------------------------------------------------------------

function New-LocalAccount
 ([string]$Computer=".",
 [string]$Benutzer,
 [string]$Beschreibung="Noch keine Beschreibung")
{
  $AD = [ADSI]"WinNT://$Computer"
  try
  {
    $ADUserNeu = $AD.Create("user", $Benutzer)
    $ADuserNeu.InvokeSet("Description", $Beschreibung)
    $ADUserNeu.CommitChanges()
    "Benutzer wurde angelegt."
  }
  catch
  {
    Write-Host -Fore White -Back Red "Benutzer konnte nicht angelegt werden ($_)"
  }
}


