# -------------------------------------------------------------
# Beispiel 11.1
# Ps1-Inhaltsverzeichnis auf Remote-Computer anlegen
# -------------------------------------------------------------
# Computername und StartPfad müssen angepasst werden
# -------------------------------------------------------------
param(
 $StartPfad = "C:\PsKurs"
)
$Ps1ListePfad = "$Env:Userprofile\Documents\Ps1Liste.txt"
$AnzahlPs1 = 0
Remove-Item $Ps1ListePfad -Force -ErrorAction SilentlyContinue
Get-Childitem -Path $StartPfad -Include *.Ps1 -ErrorAction SilentlyContinue -Recurse | Foreach-Object {
  $AnzahlPs1++
  Add-Content -Path $Ps1ListePfad -Value ("{0:000} - {1}" -f $AnzahlPs1, $_.FullName)
}
"Fertig - $AnzahlPs1 Ps1-Dateien gefunden."


Invoke-Command -FilePath C:\Pskurs\Ps1VerzeichnisInhaltAnlegen.ps1 -Computer Win7Client -Credential Administrator -ArgumentList C:\ -AsJob
