﻿# -------------------------------------------------------------
# Beispiel 13.9
# Template-Erweiterung für die ISE
# -------------------------------------------------------------
function Insert-Text
{
 param(
    [parameter(Mandatory=$true, ValueFromPipeline=$true)]
    [string]$InsertText)
    $CurrentFilePath = $Psise.CurrentFile.FullPath
    $CurrentFile = $PsIse.CurrentPowerShellTab.Files | Where {$_.FullPath -eq $CurrentFilePath}
    $CurrentFile.Editor.InsertText($InsertText)
}

function New-FunctionTemplate
{
  $FTemplate = @"
function Verb-Noun {
  param (
   [parameter(Mandatory=$true, ValueFromPipeline=$true)
   [string]Parameter1
)
   Begin
   {
   }

   Process
   {
   }

   End
   {
   }
}
"@
   Insert-Text -InsertText $FTemplate
}
