# -------------------------------------------------------------
# Beispiel 13.12
# Ternary-Operator
# -------------------------------------------------------------

function Invoke-Ternary
([bool]$Ausdruck,
 [ScriptBlock]$TruePart,
 [ScriptBlock]$FalsePart)
{
  if ($Ausdruck)
  { &$TruePart}
  else
  { &$FalsePart}
}

Invoke-Ternary -Ausdruck (Test-Path $env:systemdrive\Pagefile.sys) -TruePart { Write-Host -fore green "Alles klar, Pagefile ist da."} -FalsePart { Write-Host -fore red "Oh, Shrek - die Pagefile ist weg!"}
