# -------------------------------------------------------------
# Beispiel 16.6  Zhlen von Cmdlet-Parametern
# -------------------------------------------------------------
function Get-CmdParasV1
($Parameter = "InputObject")
{
 $Anzahl = 0
 Get-Command -Commandtype Cmdlet | Foreach-Object {
  $_.Parametersets | Select-Object -exp Parameters | Foreach-Object {
   if ($_.Name -like $Parameter) { $Anzahl++ } } }
 Write-Host -fore green "$Anzahl Cmdlets mit einem $Parameter-Parameter"
}
